1. Welcome to TechPowerUp Forums, Guest! Please check out our forum guidelines for info related to our community.

x1950pro not playing COD4

Discussion in 'Graphics Cards' started by ou7shined, Jan 4, 2008.

  1. ou7shined New Member

    Joined:
    Mar 27, 2006
    Messages:
    24 (0.01/day)
    Thanks Received:
    0
    Location:
    Scotland
    HI guys, s'bin a while.:toast:
    I got COD4 at xmas but my 16 pipe x850pro AGP won't play it because it's one shader shy of the minimum 3 so I pulled it and got a x1950pro to sit in its AGP former home. But I still can't play COD4 - it won't go past the splash screen :banghead: I had an issue a while back where I found that I couldn't play any games (Far Cry, Halo 2, GTA SA) with any cats higher than 6.5 - no biggy I just downgraded to the 6.5s. (omegas at the time didn't work either)
    The most recent cats I can get Far Cry to play with the x1950pro is 7.4 (the next highest ones I have saved are 7.9 and they don't work after that) but still no COD.

    Any thoughts?
  2. Namslas90 New Member

    Joined:
    Aug 27, 2006
    Messages:
    4,851 (1.66/day)
    Thanks Received:
    555
    Location:
    Earth
    Most likley a driver issue. Use a driver cleaner to remove ATI drivers, use add/remove to remove ATI uniinstaller program. (or use add/remove for all and run > search > ATI > ok, then delete one at a time. also remove uninstaller). Then download new ATI/CCC Drivers and try again.
  3. Kursah

    Kursah

    Joined:
    Oct 15, 2006
    Messages:
    7,712 (2.68/day)
    Thanks Received:
    1,618
    Location:
    Missoula, MT, USA
    I think AGP drivers are good to 7.7, anything beyond that doesn't support AGP properly iirc, you may try those to see if that helps.
  4. ou7shined New Member

    Joined:
    Mar 27, 2006
    Messages:
    24 (0.01/day)
    Thanks Received:
    0
    Location:
    Scotland
    Yup Namslas90 I been through all that already - I used DCpro ever single time I tried different drivers.
    Where can I get the 7.7 cats from?
  5. ou7shined New Member

    Joined:
    Mar 27, 2006
    Messages:
    24 (0.01/day)
    Thanks Received:
    0
    Location:
    Scotland
    Come to think of it ATI got me to download 7.12s for this card so you'd think they'd know which ones are good for it :twitch: ... still I think I should try out the 7.7s just in case.
  6. Namslas90 New Member

    Joined:
    Aug 27, 2006
    Messages:
    4,851 (1.66/day)
    Thanks Received:
    555
    Location:
    Earth
    Yeah they recomend 7.12 updated Dec07.
    http://game.amd.com/us-en/drivers_catalyst.aspx?p=xp/radeonxip-xp

    Check here for other Ideas on the issue;
    https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/gamesite/Catalyst_712_Release_Notes.html#173126

    I know you said you ran driver cleaner, but a common mistake is not removing the "ATI UnInstaller Tool" before instaling new drivers.(this is even recomended by ATI in the download instructions).

    Go here and see what SRL says about running COD4 on your rig.(should be OK)
    http://www.systemrequirementslab.com/referrer/srtest

    Come to think of it, the problem may be your PSU the 1950 needs around 66watts to run properly. See link;

    http://www.atomicmpc.com.au/forums.asp?s=2&c=7&t=9354

    :toast:
    Last edited: Jan 4, 2008
  7. ou7shined New Member

    Joined:
    Mar 27, 2006
    Messages:
    24 (0.01/day)
    Thanks Received:
    0
    Location:
    Scotland
    The way that I was doing it was - add and remove > ati removal tool > dcpro - overkill I know but I do like to make sure. ;)

    I'd be inclined to agree with you about the psu could I not run Far Cry with everything turned on.

    I'm gonna try a new version of xp to see if that's what's giving me grief.
  8. ou7shined New Member

    Joined:
    Mar 27, 2006
    Messages:
    24 (0.01/day)
    Thanks Received:
    0
    Location:
    Scotland
    Well I've installed a different version of xp. Couldn't get FC or COD to run with 7.12 cats although COD tried to initiate but crashed with a pop-up saying DirectX couldn't execute or something (running 9.0c) which if anything is an improvement.:ohwell:

    I removed the cats and installed 4.8.442 omegas. Far Cry now runs with these but still no COD4.:banghead:

    I had a look here and passed everything except cpu speed. My (one time top of the range :laugh:) xp3200 plods along at a stone-age 2.2 Ghz but the min requirement are 2.4. There you have it - time to build a new rig.

    Clutching at straws here - I'll rig up an extra psu for the x1950pro to see what happen but I'm not holding my breath.

Currently Active Users Viewing This Thread: 1 (0 members and 1 guest)

Share This Page